/*===========================================================================*/
/*   (Cc/indent.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Cc/indent.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_systemz00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_IMPORT bool_t fexists(char *);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcc_indentz00();
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_indentz00zzcc_indentz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcc_indentz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcc_indentz00();
extern obj_t BGl_za2indentza2z00zzengine_paramz00;
static obj_t BGl__indentz00zzcc_indentz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1151z00zzcc_indentz00, BgL_bgl_string1151za700za7za7cc_indentza7001161z00, "        mv ", 11 );
DEFINE_STRING( BGl_string1150z00zzcc_indentz00, BgL_bgl_string1150za700za7za7cc_indentza7001162z00, ".c", 2 );
DEFINE_STRING( BGl_string1149z00zzcc_indentz00, BgL_bgl_string1149za700za7za7cc_indentza7001163z00, ".cc", 3 );
DEFINE_STRING( BGl_string1148z00zzcc_indentz00, BgL_bgl_string1148za700za7za7cc_indentza7001164z00, "Non nul value returned -- ", 26 );
DEFINE_STRING( BGl_string1147z00zzcc_indentz00, BgL_bgl_string1147za700za7za7cc_indentza7001165z00, "      [", 7 );
DEFINE_STRING( BGl_string1146z00zzcc_indentz00, BgL_bgl_string1146za700za7za7cc_indentza7001166z00, " ", 1 );
DEFINE_STRING( BGl_string1145z00zzcc_indentz00, BgL_bgl_string1145za700za7za7cc_indentza7001167z00, ".c > ", 5 );
DEFINE_STRING( BGl_string1144z00zzcc_indentz00, BgL_bgl_string1144za700za7za7cc_indentza7001168z00, ".cc ", 4 );
DEFINE_STRING( BGl_string1143z00zzcc_indentz00, BgL_bgl_string1143za700za7za7cc_indentza7001169z00, "   . indent (", 13 );
DEFINE_STRING( BGl_string1142z00zzcc_indentz00, BgL_bgl_string1142za700za7za7cc_indentza7001170z00, ")", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_indentzd2envzd2zzcc_indentz00, BgL_bgl__indentza700za7za7cc_indentza7001171z00, BGl__indentz00zzcc_indentz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long BgL_checksumz00_64, char * BgL_fromz00_65)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcc_indentz00))
{ 
BGl_requirezd2initializa7ationz75zzcc_indentz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcc_indentz00(); 
BGl_importedzd2moduleszd2initz00zzcc_indentz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcc_indentz00()
{ AN_OBJECT;
{ /* ./Cc/indent.scm 15 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "cc_indent"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "cc_indent"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "cc_indent"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cc_indent"); 
return BUNSPEC;} 
}



/* indent */
BGL_EXPORTED_DEF obj_t BGl_indentz00zzcc_indentz00(obj_t BgL_namez00_1)
{ AN_OBJECT;
{ /* ./Cc/indent.scm 23 */
{ /* ./Cc/indent.scm 24 */
bool_t BgL_test1003z00_2;
{ /* ./Cc/indent.scm 24 */
bool_t BgL_test1099z00_43;
BgL_test1099z00_43 = 
STRINGP(BgL_namez00_1); 
if(BgL_test1099z00_43)
{ /* ./Cc/indent.scm 25 */
bool_t BgL_test1100z00_44;
{ /* ./Cc/indent.scm 25 */
obj_t BgL_objz00_48;
BgL_objz00_48 = BGl_za2indentza2z00zzengine_paramz00; 
BgL_test1100z00_44 = 
STRINGP(BgL_objz00_48); } 
if(BgL_test1100z00_44)
{ /* ./Cc/indent.scm 26 */
int BgL_arg1102z00_45;
{ /* ./Cc/indent.scm 26 */
obj_t BgL_stringz00_49;
BgL_stringz00_49 = BGl_za2indentza2z00zzengine_paramz00; 
BgL_arg1102z00_45 = 
STRING_LENGTH(BgL_stringz00_49); } 
{ /* ./Cc/indent.scm 26 */
long BgL_auxz00_80;
BgL_auxz00_80 = 
(long)(BgL_arg1102z00_45); 
BgL_test1003z00_2 = 
(BgL_auxz00_80>((long)0)); } }  else 
{ /* ./Cc/indent.scm 25 */
BgL_test1003z00_2 = ((bool_t)0); } }  else 
{ /* ./Cc/indent.scm 24 */
BgL_test1003z00_2 = ((bool_t)0); } } 
if(BgL_test1003z00_2)
{ /* ./Cc/indent.scm 24 */
{ /* ./Cc/indent.scm 28 */
obj_t BgL_arg1007z00_5;
BgL_arg1007z00_5 = 
BGl_basenamez00zz__osz00(BGl_za2indentza2z00zzengine_paramz00); 
{ /* ./Cc/indent.scm 28 */
obj_t BgL_list1010z00_7;
{ /* ./Cc/indent.scm 28 */
obj_t BgL_arg1012z00_8;
{ /* ./Cc/indent.scm 28 */
obj_t BgL_arg1015z00_9;
{ /* ./Cc/indent.scm 28 */
obj_t BgL_arg1018z00_10;
{ /* ./Cc/indent.scm 28 */
obj_t BgL_auxz00_85;
BgL_auxz00_85 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1018z00_10 = 
MAKE_PAIR(BgL_auxz00_85, BNIL); } 
BgL_arg1015z00_9 = 
MAKE_PAIR(BGl_string1142z00zzcc_indentz00, BgL_arg1018z00_10); } 
BgL_arg1012z00_8 = 
MAKE_PAIR(BgL_arg1007z00_5, BgL_arg1015z00_9); } 
BgL_list1010z00_7 = 
MAKE_PAIR(BGl_string1143z00zzcc_indentz00, BgL_arg1012z00_8); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1010z00_7); } } 
{ /* ./Cc/indent.scm 29 */
obj_t BgL_cmdz00_11;
{ /* ./Cc/indent.scm 29 */
obj_t BgL_list1079z00_35;
{ /* ./Cc/indent.scm 29 */
obj_t BgL_arg1081z00_36;
{ /* ./Cc/indent.scm 29 */
obj_t BgL_arg1085z00_38;
{ /* ./Cc/indent.scm 29 */
obj_t BgL_arg1088z00_39;
{ /* ./Cc/indent.scm 29 */
obj_t BgL_arg1092z00_41;
{ /* ./Cc/indent.scm 29 */
obj_t BgL_arg1096z00_42;
BgL_arg1096z00_42 = 
MAKE_PAIR(BGl_string1144z00zzcc_indentz00, BNIL); 
BgL_arg1092z00_41 = 
MAKE_PAIR(BgL_namez00_1, BgL_arg1096z00_42); } 
BgL_arg1088z00_39 = 
MAKE_PAIR(BGl_string1145z00zzcc_indentz00, BgL_arg1092z00_41); } 
BgL_arg1085z00_38 = 
MAKE_PAIR(BgL_namez00_1, BgL_arg1088z00_39); } 
BgL_arg1081z00_36 = 
MAKE_PAIR(BGl_string1146z00zzcc_indentz00, BgL_arg1085z00_38); } 
BgL_list1079z00_35 = 
MAKE_PAIR(BGl_za2indentza2z00zzengine_paramz00, BgL_arg1081z00_36); } 
BgL_cmdz00_11 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1079z00_35); } 
{ /* ./Cc/indent.scm 32 */
obj_t BgL_list1023z00_12;
{ /* ./Cc/indent.scm 32 */
obj_t BgL_arg1026z00_14;
{ /* ./Cc/indent.scm 32 */
obj_t BgL_arg1029z00_15;
{ /* ./Cc/indent.scm 32 */
obj_t BgL_arg1032z00_16;
{ /* ./Cc/indent.scm 32 */
obj_t BgL_auxz00_100;
BgL_auxz00_100 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1032z00_16 = 
MAKE_PAIR(BgL_auxz00_100, BNIL); } 
{ /* ./Cc/indent.scm 32 */
obj_t BgL_auxz00_103;
BgL_auxz00_103 = 
BCHAR(((unsigned char)']')); 
BgL_arg1029z00_15 = 
MAKE_PAIR(BgL_auxz00_103, BgL_arg1032z00_16); } } 
BgL_arg1026z00_14 = 
MAKE_PAIR(BgL_cmdz00_11, BgL_arg1029z00_15); } 
BgL_list1023z00_12 = 
MAKE_PAIR(BGl_string1147z00zzcc_indentz00, BgL_arg1026z00_14); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1023z00_12); } 
{ /* ./Cc/indent.scm 33 */
obj_t BgL_resz00_17;
{ /* ./Cc/indent.scm 33 */
obj_t BgL_list1048z00_23;
BgL_list1048z00_23 = 
MAKE_PAIR(BgL_cmdz00_11, BNIL); 
BgL_resz00_17 = 
BGl_systemz00zz__osz00(BgL_list1048z00_23); } 
{ /* ./Cc/indent.scm 34 */
bool_t BgL_test1035z00_18;
{ /* ./Cc/indent.scm 34 */
long BgL_auxz00_112;
BgL_auxz00_112 = 
(long)CINT(BgL_resz00_17); 
BgL_test1035z00_18 = 
(BgL_auxz00_112==((long)0)); } 
if(BgL_test1035z00_18)
{ /* ./Cc/indent.scm 34 */BFALSE; }  else 
{ /* ./Cc/indent.scm 35 */
obj_t BgL_list1037z00_19;
{ /* ./Cc/indent.scm 35 */
obj_t BgL_arg1039z00_20;
{ /* ./Cc/indent.scm 35 */
obj_t BgL_arg1043z00_22;
BgL_arg1043z00_22 = 
MAKE_PAIR(BgL_resz00_17, BNIL); 
BgL_arg1039z00_20 = 
MAKE_PAIR(BGl_string1148z00zzcc_indentz00, BgL_arg1043z00_22); } 
BgL_list1037z00_19 = 
MAKE_PAIR(BGl_za2indentza2z00zzengine_paramz00, BgL_arg1039z00_20); } 
BGl_warningz00zz__errorz00(BgL_list1037z00_19); } } } 
{ /* ./Cc/indent.scm 36 */
bool_t BgL_test1050z00_24;
{ /* ./Cc/indent.scm 36 */
obj_t BgL_arg1075z00_34;
BgL_arg1075z00_34 = 
string_append(BgL_namez00_1, BGl_string1149z00zzcc_indentz00); 
{ /* ./Cc/indent.scm 36 */
char * BgL_namez00_54;
BgL_namez00_54 = 
BSTRING_TO_STRING(BgL_arg1075z00_34); 
BgL_test1050z00_24 = 
fexists(BgL_namez00_54); } } 
if(BgL_test1050z00_24)
{ /* ./Cc/indent.scm 37 */
obj_t BgL_snamez00_25;obj_t BgL_dnamez00_26;
BgL_snamez00_25 = 
string_append(BgL_namez00_1, BGl_string1149z00zzcc_indentz00); 
BgL_dnamez00_26 = 
string_append(BgL_namez00_1, BGl_string1150z00zzcc_indentz00); 
{ /* ./Cc/indent.scm 39 */
obj_t BgL_list1052z00_27;
{ /* ./Cc/indent.scm 39 */
obj_t BgL_arg1055z00_29;
{ /* ./Cc/indent.scm 39 */
obj_t BgL_arg1058z00_30;
{ /* ./Cc/indent.scm 39 */
obj_t BgL_arg1064z00_32;
{ /* ./Cc/indent.scm 39 */
obj_t BgL_arg1067z00_33;
{ /* ./Cc/indent.scm 39 */
obj_t BgL_auxz00_126;
BgL_auxz00_126 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1067z00_33 = 
MAKE_PAIR(BgL_auxz00_126, BNIL); } 
BgL_arg1064z00_32 = 
MAKE_PAIR(BgL_dnamez00_26, BgL_arg1067z00_33); } 
BgL_arg1058z00_30 = 
MAKE_PAIR(BGl_string1146z00zzcc_indentz00, BgL_arg1064z00_32); } 
BgL_arg1055z00_29 = 
MAKE_PAIR(BgL_snamez00_25, BgL_arg1058z00_30); } 
BgL_list1052z00_27 = 
MAKE_PAIR(BGl_string1151z00zzcc_indentz00, BgL_arg1055z00_29); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1052z00_27); } 
{ /* ./Cc/indent.scm 40 */
char * BgL_string1z00_55;char * BgL_string2z00_56;
BgL_string1z00_55 = 
BSTRING_TO_STRING(BgL_snamez00_25); 
BgL_string2z00_56 = 
BSTRING_TO_STRING(BgL_dnamez00_26); 
{ /* ./Cc/indent.scm 40 */
bool_t BgL_test1092z00_57;
{ /* ./Cc/indent.scm 40 */
int BgL_arg1094z00_58;
BgL_arg1094z00_58 = 
rename(BgL_string1z00_55, BgL_string2z00_56); 
{ /* ./Cc/indent.scm 40 */
obj_t BgL_auxz00_140;obj_t BgL_auxz00_138;
BgL_auxz00_140 = 
BINT(((long)0)); 
BgL_auxz00_138 = 
BINT(BgL_arg1094z00_58); 
BgL_test1092z00_57 = 
(BgL_auxz00_138==BgL_auxz00_140); } } 
if(BgL_test1092z00_57)
{ /* ./Cc/indent.scm 40 */
return BTRUE;}  else 
{ /* ./Cc/indent.scm 40 */
return BFALSE;} } } }  else 
{ /* ./Cc/indent.scm 36 */
return BFALSE;} } } }  else 
{ /* ./Cc/indent.scm 24 */
return BFALSE;} } } 
}



/* _indent */
obj_t BGl__indentz00zzcc_indentz00(obj_t BgL_envz00_62, obj_t BgL_namez00_63)
{ AN_OBJECT;
{ /* ./Cc/indent.scm 23 */
return 
BGl_indentz00zzcc_indentz00(BgL_namez00_63);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcc_indentz00()
{ AN_OBJECT;
{ /* ./Cc/indent.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "cc_indent"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "cc_indent");} 
}

